> For the complete documentation index, see [llms.txt](https://rimplenet.gitbook.io/rimplenet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rimplenet.gitbook.io/rimplenet/api-reference/credit/get-credits.md).

# Get Credits

{% hint style="info" %}

#### Must have authorization to use this API

{% endhint %}

## Reponse would return all credits

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1 /credits`

{% tabs %}
{% tab title="200: OK Credits received" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Credits Retrieved",
    "data": [
        {
            "id": 457,
            "amount": "1000",
            "balance_after": "2000",
            "balance_before": "1000",
            "currency": "gbp",
            "funds_type": "user_withdrawable_bal_gbp",
            "request_id": "163_second_credit",
            "total_balance_after": "2000",
            "total_balance_before": "1000",
            "credits_request_id": "163_second_credit",
            "txn_type": "CREDIT",
            "note": "",
            "description": "TRANSACTION by JaneDoe, Type: CREDIT, Wallet Info: £1,000.00 pounds  on Saturday 12th of November 2022 @ 11:16:37 AM"
        },
        {
            "id": 456,
            "amount": "1000",
            "balance_after": "1000",
            "balance_before": "0",
            "currency": "gbp",
            "funds_type": "user_withdrawable_bal_gbp",
            "request_id": "163_first_credit",
            "total_balance_after": "1000",
            "total_balance_before": "0",
            "credits_request_id": "163_first_credit",
            "txn_type": "CREDIT",
            "note": "",
            "description": "TRANSACTION by JaneDoe, Type: CREDIT, Wallet Info: £1,000.00 pounds  on Saturday 12th of November 2022 @ 11:04:43 AM"
        }
       
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Credits Retrieved",
    "data": [
        {
            "id": 457,
            "amount": "1000",
            "balance_after": "2000",
            "balance_before": "1000",
            "currency": "gbp",
            "funds_type": "user_withdrawable_bal_gbp",
            "request_id": "163_second_credit",
            "total_balance_after": "2000",
            "total_balance_before": "1000",
            "credits_request_id": "163_second_credit",
            "txn_type": "CREDIT",
            "note": "",
            "description": "TRANSACTION by JaneDoe, Type: CREDIT, Wallet Info: £1,000.00 pounds  on Saturday 12th of November 2022 @ 11:16:37 AM"
        },
        {
            "id": 456,
            "amount": "1000",
            "balance_after": "1000",
            "balance_before": "0",
            "currency": "gbp",
            "funds_type": "user_withdrawable_bal_gbp",
            "request_id": "163_first_credit",
            "total_balance_after": "1000",
            "total_balance_before": "0",
            "credits_request_id": "163_first_credit",
            "txn_type": "CREDIT",
            "note": "",
            "description": "TRANSACTION by JaneDoe, Type: CREDIT, Wallet Info: £1,000.00 pounds  on Saturday 12th of November 2022 @ 11:04:43 AM"
        }
       
    ]
}
```

{% endtab %}
{% endtabs %}
